## org.apache.myfaces.custom.schedule
Class PlannerTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.custom.schedule.PlannerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class PlannerTag
extends javax.faces.webapp.UIComponentTag

JSP tag for the UIPlanner component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PlannerTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getGutterWidthInPixels()` The width of the gutter in pixels
`java.lang.String` `getHeaderDateFormat()` The dateformat used in the header
`java.lang.String` `getLegend()` Should a legend be displayed?
`java.lang.String` `getRendered()` Should this component be rendered?
`java.lang.String` `getRendererType()`
`java.lang.String` `getTheme()` The theme of the planner component.
`java.lang.String` `getTooltip()` Should tooltips be displayed?
`java.lang.String` `getValue()` The value of the Planner component
`java.lang.String` `getVisibleEndHour()` The visible end hour of the planner component
`java.lang.String` `getVisibleStartHour()` The visible start hour of the planner component
`java.lang.String` `getWorkingEndHour()` The working end hour of the planner component
`java.lang.String` `getWorkingStartHour()` The working start hour of the planner component
`void` `release()`
`void` `setGutterWidthInPixels(java.lang.String gutterWidthInPixels)` The width of the gutter in pixels
`void` `setHeaderDateFormat(java.lang.String headerDateFormat)` The dateformat used in the header
`void` `setLegend(java.lang.String legend)` Should a legend be displayed?
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRendered(java.lang.String rendered)` Should this component be rendered?
`void` `setTheme(java.lang.String theme)` The theme of the planner component.
`void` `setTooltip(java.lang.String tooltip)` Should tooltips be displayed?
`void` `setValue(java.lang.String value)` The value of the Planner component
`void` `setVisibleEndHour(java.lang.String visibleEndHour)` The visible end hour of the planner component
`void` `setVisibleStartHour(java.lang.String visibleStartHour)` The visible start hour of the planner component
`void` `setWorkingEndHour(java.lang.String workingEndHour)` The working end hour of the planner component
`void` `setWorkingStartHour(java.lang.String workingStartHour)` The working start hour of the planner component

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlannerTag

    public PlannerTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  See Also:
    `UIComponentTag.getComponentType()`

### setGutterWidthInPixels

    public void setGutterWidthInPixels(java.lang.String gutterWidthInPixels)

  The width of the gutter in pixels

  Parameters:
    `gutterWidthInPixels` - The gutterWidthInPixels to set.

### getGutterWidthInPixels

    public java.lang.String getGutterWidthInPixels()

  The width of the gutter in pixels

  Returns:
    Returns the gutterWidthInPixels.

### setHeaderDateFormat

    public void setHeaderDateFormat(java.lang.String headerDateFormat)

  The dateformat used in the header

  Parameters:
    `headerDateFormat` - The headerDateFormat to set.

### getHeaderDateFormat

    public java.lang.String getHeaderDateFormat()

  The dateformat used in the header

  Returns:
    Returns the headerDateFormat.

### setLegend

    public void setLegend(java.lang.String legend)

  Should a legend be displayed?

  Parameters:
    `legend` - The legend to set.

### getLegend

    public java.lang.String getLegend()

  Should a legend be displayed?

  Returns:
    Returns the legend.

### setRendered

    public void setRendered(java.lang.String rendered)

  Should this component be rendered?

  Parameters:
    `rendered` - The rendered to set.

### getRendered

    public java.lang.String getRendered()

  Should this component be rendered?

  Returns:
    Returns the rendered.

### getRendererType

    public java.lang.String getRendererType()

  See Also:
    `UIComponentTag.getRendererType()`

### setTheme

    public void setTheme(java.lang.String theme)

  The theme of the planner component. This is the name of the CSS file that should be loaded when rendering the planner. Possible values are 'default', 'outlookxp', 'outlook2003', 'evolution'.

  Parameters:
    `theme` - The theme to set.

### getTheme

    public java.lang.String getTheme()

  The theme of the planner component. This is the name of the CSS file that should be loaded when rendering the planner. Possible values are 'default', 'outlookxp', 'outlook2003', 'evolution'.

  Returns:
    Returns the theme.

### setTooltip

    public void setTooltip(java.lang.String tooltip)

  Should tooltips be displayed?

  Parameters:
    `tooltip` - The tooltip to set.

### getTooltip

    public java.lang.String getTooltip()

  Should tooltips be displayed?

  Returns:
    Returns the tooltip.

### setValue

    public void setValue(java.lang.String value)

  The value of the Planner component

  Parameters:
    `value` - The value to set.

### getValue

    public java.lang.String getValue()

  The value of the Planner component

  Returns:
    Returns the value.

### setVisibleEndHour

    public void setVisibleEndHour(java.lang.String visibleEndHour)

  The visible end hour of the planner component

  Parameters:
    `visibleEndHour` - The visibleEndHour to set.

### getVisibleEndHour

    public java.lang.String getVisibleEndHour()

  The visible end hour of the planner component

  Returns:
    Returns the visibleEndHour.

### setVisibleStartHour

    public void setVisibleStartHour(java.lang.String visibleStartHour)

  The visible start hour of the planner component

  Parameters:
    `visibleStartHour` - The visibleStartHour to set.

### getVisibleStartHour

    public java.lang.String getVisibleStartHour()

  The visible start hour of the planner component

  Returns:
    Returns the visibleStartHour.

### setWorkingEndHour

    public void setWorkingEndHour(java.lang.String workingEndHour)

  The working end hour of the planner component

  Parameters:
    `workingEndHour` - The workingEndHour to set.

### getWorkingEndHour

    public java.lang.String getWorkingEndHour()

  The working end hour of the planner component

  Returns:
    Returns the workingEndHour.

### setWorkingStartHour

    public void setWorkingStartHour(java.lang.String workingStartHour)

  The working start hour of the planner component

  Parameters:
    `workingStartHour` - The workingStartHour to set.

### getWorkingStartHour

    public java.lang.String getWorkingStartHour()

  The working start hour of the planner component

  Returns:
    Returns the workingStartHour.

### release

    public void release()

  See Also:
    `Tag.release()`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  See Also:
    `UIComponentTag.setProperties(javax.faces.component.UIComponent)`